<?php

	$filenameDestaque = null;

	if(!empty($_FILES['btnUpload']['size'])){

		include_once("auxiliares/redimensionaImg.class.php");

		$redim = new Redimensiona();

		$numero = rand(1,99999999);
		$nome = $numero.$_FILES['btnUpload']['name'];
		$nome = $redim->tratar_arquivo_upload($nome);
		
		$tipoImagem = $_FILES['btnUpload']['type'];

		// Thumbs
		$fotoThumbs = $_FILES['btnUpload']['tmp_name'];
		$filenameThumbs = $redim->Redimensionar($fotoThumbs, 180, 180, "imagens-site/marcas/thumbs", $tipoImagem, $nome);

		// Normal
		$foto = $_FILES['btnUpload']['tmp_name'];
		$filenameDestaque = $redim->Redimensionar($foto, 300, 300, "imagens-site/marcas", $tipoImagem, $nome);

	}

	$nome = $_POST['titulo'];
	$url = $_POST['link'];

	$query = $db->prepare("INSERT INTO adm_marcas (titulo,capa,link) VALUES (:nome,:logo,:url)");
	$query->bindParam(':nome', $nome, PDO::PARAM_STR);
	$query->bindParam(':logo', $filenameDestaque, PDO::PARAM_STR);
	$query->bindParam(':url', $url, PDO::PARAM_STR);

	$result = $query->execute();
?>

<table>
	<tr>
		<td>
			<?php echo ($result) ? 'Parceiro cadastrado com sucesso.' : 'Houve um erro ao cadastrar o parceiro.'; ?>
			<meta http-equiv="refresh" content="2; url=miolo.php?miolo=cliente&acao=cadastrar" />
		</td>
	</tr>
</table>